Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nfunk.jep.function
Class Add

    java.lang.Object
      org.nfunk.jep.function.PostfixMathCommand
          org.nfunk.jep.function.Add

All Implemented Interfaces:
  PostfixMathCommandI

Direct Known Subclasses:
  MAdd

    public class Add

extends PostfixMathCommand

Addition function. Supports any number of parameters although typically only 2 parameters are used.

Author:
  nathan

Field Summary

Fields inherited from class org.nfunk.jep.function.PostfixMathCommand
`curNumberOfParameters, numberOfParameters`

Constructor Summary
`Add()`

Method Summary
`Complex` | `add(Complex c1, Complex c2)`
`Complex` | `add(Complex c, java.lang.Number d)`
`java.lang.Double` | `add(java.lang.Number d1, java.lang.Number d2)`
`java.lang.Object` | `add(java.lang.Object param1, java.lang.Object param2)` Adds two numbers together.
`void` | `run(java.util.Stack stack)` Calculates the result of applying the "+" operator to the arguments from the stack and pushes it back on the stack.

Methods inherited from class org.nfunk.jep.function.PostfixMathCommand
`checkNumberOfParameters, checkStack, getNumberOfParameters, setCurNumberOfParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Add

    public Add()

Method Detail

### run

    public void run(java.util.Stack stack)
             throws ParseException

  Calculates the result of applying the "+" operator to the arguments from the stack and pushes it back on the stack.

  Specified by:
    `run` in interface `PostfixMathCommandI`
  Overrides:
    `run` in class `PostfixMathCommand`
  Throws:
    `ParseException`

### add

    public java.lang.Object add(java.lang.Object param1,
                                java.lang.Object param2)
                         throws ParseException

  Adds two numbers together. The parameters can be of type Number, Complex, or String. If a certain combination of types is not supported, a ParseException is thrown.

  Parameters:
    `param1` - The first parameter to be added.
    `param2` - The second parameter to be added.
  Returns:
    The sum of param1 and param2, or concatenation of the two if they are Strings.
  Throws:
    `ParseException`

### add

    public java.lang.Double add(java.lang.Number d1,
                                java.lang.Number d2)

### add

    public Complex add(Complex c1,
                       Complex c2)

### add

    public Complex add(Complex c,
                       java.lang.Number d)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems